Subject: RE: [MOBILE-IP] MIPv6 node location detection

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sat, 14 Oct 2000 00:41:45 +1100

> What is the difference between two advertisement below ?
>       - Renumbered home link router advertisement
>       - Router advertisement in a foreign link
> 
> My question is why the mobile node don't just add the new address 
> in MN's address list. How do the MN decide whether it start MIPv6 
> process or autoconfiguration process for renumbered home link address.
> What if the all home addresses in the list have expired before the MN
> get FA's router advertisement, can the MN still use the expired address
> record 
> in it's system ? 
> 
	=> I think you're certainly asking the right question but 
	perhaps to the wrong mailing list :)
	If I understand you correctly, you're saying that while the 
	MN is at Home, if a new advertisement is received with a new
	prefix, how does it know that this is not another foreign subnet. 
	Well based on my rusty knowledge  of ND and stateless address
	configuration, it doesnt know. But I don't think that this is
strictly
	a MIP issue. While you're at home MIP does not do anything 
	for  you. So that's why I'll cc IPng on this to see if someone can
	give you a better answer, or maybe I missed something here. 
	BTW FA's do not exist in MIPv6. 

> I also can't find RFC or draft which define exactly address list in a
> MIPv6 MN. A IPv6 node have a address list and  every prefix has lifetime.
> Please give me some advice on it. 
>   
> 
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sat, 14 Oct 2000 00:48:35 +1100

Sorry forgot to cc IPng

> -----Original Message-----
> From:	Hesham Soliman (EPA) [SMTP:[email-masked]]
> Sent:	Saturday, 14 October 2000 12:42
> To:	[email-masked]
> Subject:	Re: [MOBILE-IP] MIPv6 node location detection
>

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Sat, 14 Oct 2000 14:55:38 +1100

Forgot to cc IPng again !

> From:	Hesham Soliman (EPA) 
> Sent:	Saturday, 14 October 2000 2:54
> Subject:	RE: [MOBILE-IP] MIPv6 node location detection
> 
> Hi Fred
> I am not the most knowledgeable on the subject, and my betters may correct
> me. But I would think this has to be answered in the exchange with the
> Home
> Agent.
> 
> First, the Mobile Node has a number of limitations on its knowledge. It
> doesn't know its own prefix beyond what it received in a router
> advertisement, for example - if the router advertisement has changed
> prefix, that may well mean that the device has changed subnet within its
> home domain and should just use that address, or as you suggest, it may
> mean that somebody is renumbering the network. Since it doesn't know the
> site prefix, it cannot distinguish between the home domain (which is
> larger
> than the prefix for a particular subnet) and a foreign domain.
> 
> It also has a responsibility. It must keep the Home Agent apprised both of
> its own current address and its current care-of address. So if its address
> changes, or if a new address is added to its list on some interface, it is
> going to have to advise the Home Agent of that.
> 
> It is from the Home Agent's response that it will determine what's
> happening. If the Home Agent expresses the opinion that it needs to use
> the
> COA, it probably does, and if the Home Agent thinks its address is just
> fine...
> 
> Now, I haven't read the latest specifications to tell you how the Home
> Agent expresses that. But I think it is in that context that the
> information is going to have to be derived and communicated.
> 
> => Well according to my memory there is no such expression 
> from the HA. Of course if the MN receives the new router 
> advertisement from the HA (router on the link), then it will 
> know that the default router is still the same and that there is 
> no need to move. But that is not a fault proof solution because 
> the link-local address may be duplicated between links.
> 
> Another way of looking at it is that the "new" Ruter advertisement
> should inform hosts that this subnet is "being renumbered". 
> I think this is a clean option. I don't think this should be a MIP
> issue. MIPv6 solves the problem when the MN is away from
> home, which is when MIPv6 is espected to solve it. 
> I would suggest that this is a ND-MIP interaction issue. 
> 
> Hesham
> 
> At 10:37 AM 10/12/00 +0900, SungJin Lee wrote:
> >I got confisued while i was reading MIPv6 standards and
> >have a couple of question with cases like following. The
> >It is assumed that the MIPv6 node use stateless autoconfiguration.
> >Let me know if I lost some in MIPv6 and IPv6 RFC.
> >
> >Q.1    A MIPv6 node moved to foreign link. The MIPv6 node restarts
> >        the system there and receives  router advertisements with
> >        foreign network prefix.
> >
> >        How do the MIPv6 node detect if it is located in foreign link?
> >        isn't it could be normal autoconfiguration as in the home llink?
> >
> >Q.2    A MIPv6 node located in it's home link. The node got an IP address
> >        with stateless autoconfiguration. At a time the router changed
> the
> > home link
> >        prefix and multicast the router advertisement with new prefix.
> >        After the home link prefix ifetime expired or before the life
> time
> >        expired, it received router advertisement with new prefix.
> >
> >        Why doesn't the IPv6 node think it's located in foreign link when
> it
> >        received? isn't it possible the IPv6 node to think it's moved to
> a
> > foreign
> >        link and start MIPv6 process?

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Mon, 16 Oct 2000 15:00:48 +1100

> > > Another way of looking at it is that the "new"
> > > Ruter advertisement should inform hosts that
> > > this subnet is "being renumbered".  I think
> > > this is a clean option. I don't think this
> > > should be a MIP issue. MIPv6 solves the problem
> > > when the MN is away from home, which is when
> > > MIPv6 is espected to solve it. I would suggest
> > > that this is a ND-MIP interaction issue. 
> 
> I don't think this is a general enough solution.  In the common case, an
> administrator would renumber by adding the new prefix and marking the old
> prefix to time-out.  A mobile node that returns home during the time-out
> delta could probably surmise that a renumbering was going on without
> needing
> an extra bit in the router advertisement.  Yes, the extra bit could serve
> to
> aid those mobile nodes that don't come home until after the old prefix has
> expired, but how long does the router continue to advertise the "being
> renumbered" bit?  
> 
	=> You can do it for the same duration that you advertise dual 
	prefixes for or more. There are no hard rules for how long that
should be 
	and I think that's a good thing. 
	I would argue that having a flag is better than simply just
advertising two
	prefixes at the same time. If you have a flag then at least you're
	encouraging the MN's (or just any IPv6 node) to use the new
	prefix in establishing its new connection. On the other hand,
	advertising two prefixes may not necessarily mean that you 
	are renumbering. Even if one of them has a shorter lifetime. 

> At some point the administrator has to claim that the
> "being renumbered" state has finished, confusing any mobile nodes that
> don't
> return home until after that.  And if some administrators never get around
> to turning the bit off, you'll have some networks in a state of perpetual
> renumberment.
> 
	=> Well, the way of turning the flag off can be automated and
	set when you  turn it on. I think that would depend on the
implementation.
	As to the confusion if the MN returns after the flag is turned off,
I think
	the confusion already exists, that's why we're having this
discussion.
	Adding the flag will make it possible to reduce the confusion by 
	keeping it on for a bit longer. When I mentioned a "being
renumbered"
	flag I didn't mean that it MUST mean that. You could think of 
	a flag that says "new prefix" and be included in the new prefix
option. 
	It certainly should be interpreted in a way that doesn't confuse
hosts
	and make them think they're in a transient state. 
	I'm not saying this is the best way, but it is certainly a stright
forward
	solution that seems quite simple. 

> I think there's a better solution.  Have mobile nodes attempt to treat
> every
> home agent they encounter as their home agent.  A mobile node should only
> be
> able to successfully do so if the home agent actually is its home agent.
> 
	=> I'm not quite sure if I understand this correctly. The MN will 
	have a fixed home address with a certain prefix. If it asumes 
	that it has a new Home address every time it hears an RA with 
	the H flag set (for HA), that's ok but that doesn't solve the
mobility
	problem for other Home addresses. It still needs to update
	the original "home" HA. The HA is only updated when the MN 
	is in foreign subnet. What you're saing (if I understood it
correctly)
	means the MN will have a new Home Address every time 
	it moves to a new subnet. Again that's fine but it doesn't help
	the fixed home address and all the connections using it.

> Note that there has to be some sort of security authorization between the
> mobile node and the home agent or bad people visiting your link could
> steal
> one of your addresses (such authorization is required for the mobile node
> to
> securely update the home agent as to what its care-of-address is, so the
> authorization capability must exist).  In other words, if you pass
> security,
> you're at home (or one of your homes, at any rate).  
> 
	=> That authorisation only happens when you're in a foreign subnet.

> Now the MIPv6 draft is
> a little weak regarding how this authorization should be done, but I think
> that's a problem for the mobile ip working group.
> 
	=> I disagree here. MIPv6 BUs are secured using AH and that's
mandatory.
	 How a security asociation is established is not a MIP problem. It 
	can be manually configured or dynamically using IKE.

	Hesham

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Tue, 17 Oct 2000 20:36:16 +1100

> I came up with the answer to your question. It takes some work, but it's 
> there. Review draft-ietf-mobileip-ipv6-12.txt
> 
> One the router advertisements (sections 4.1, 5.6, 5.7, etc), the routers 
> tell you whether they are willing to be a home agent and/or a foreign 
> agent. If no neighboring system is willing to be your home agent but there
> 
> is a foreign agent, you are roaming. If there is someone willing to be a 
> home agent but you cannot authenticate with him, your previous home agent 
> remains your home agent, and you are roaming. If someone advertises that
> he 
> will be your home agent and you can authenticate with him, you are at
> home.
> 
	=> I'm not sure if I understand what you mean by the foreign agent.
	Perhaps you have another entity in mind ? Because the current MIPv6
	draft does not have foreign agents.

> The one thing that bothered me as I read this was an implicit assumption, 
> perhaps on my part and perhaps on the author's part, that the device has
> to 
> somehow come in contact with its home agent as a neighboring device once
> in 
> a while. I can think of a number of scenarios in which this may not be
> true 
> - imagine a case where you have a telephone mailed to you on the road 
> because the old one broke. You certainly want to be able to tell the new 
> phone the old phone's information and have it stick. Or imagine a device 
> which is permanently roaming - it never actually is at home. You would
> want 
> to configure a home agent address somehow. I trust that in these cases the
> 
> protocol is not required.
> 
	=> You never need to configure a Home Agent address. The 
	current draft specifies a Dynamic Home Agent Discovery mechanism.
	All you need to configure is a Home Address. 
	I believe MIPv6 can support the scenario you mentioned provided
	the MN knows its Home Address. Which is a reasonable assumption
	IMO.

---

From: Fred Baker <[email-masked]>
Date: Wed, 18 Oct 2000 07:16:12 -0700

At 08:36 PM 10/17/00 +1100, Hesham Soliman (EPA) wrote:
>Perhaps you have another entity in mind ? Because the current MIPv6  draft 
>does not have foreign agents.
And therefore doesn't have a soft hand off option unless one can literally 
talk with both routers during the hand off. The Hierarchical Mobility draft 
suggests having an external system offer one of its addresses a second 
care-of address to provide this; to me, that's a foreign agent in disguise, 
and would be useful in that case. Sorry I was quick on the language.

---

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 18 Oct 2000 14:25:23 +1100

> talk with both routers during the hand off. 
> 
	=> As far as I'm aware the term "soft handoff" is related to
	certain radio technologies that allow data to be received
	from multiple access points. This in no way implies receiving
	two separate traffic streams. It is an L2 feature that is used 
	for handoffs and also as a mechanism for improving the 
	received signal quality. 

	IMO having foreign agents is not relevant for achieving soft 
	handoffs. In fact the soft handoffs concept (as used today)
	is completely transparent to MIP (v4 and v6) or any L3 
	function as it happens on L2.

> The Hierarchical Mobility draft 
	=> No problems. I obviously agree with comment on the 
	usefulness of the MAP function. 
	We avoided using the term FA in the draft because
	it is associated with the current understanding of FAs in IPv4. 
	There certainly are differences. 

	- FAs are mandatory on each link in MIPv4. MAPs are not.

	- FAs in MIPv4 perform other tasks like authentication 
	  which is a AAA function and need not be tied to mobility
	  functions.

	-  A MN can choose MAPs in the hierarchy 
	   based on various information in the MAP option.
	   You can't do that with FAs.

	- MAPs can exist on any level of a hierarchy including
	  first hop routers and are completely independant from
	  each other.

	You can probably see more differences in the draft.

	What we tried to do is go away from the FA concept because
	we don't believe FAs ( as introduced in V4) are needed in IPv6.
	Perhaps some of the functions in FAs can be useful. But it 
	seems unnecessary to copy and paste the functionality into IPv6. 

	Hesham

---

From: "Powell, Ken" <[email-masked]>
Date: Tue, 31 Oct 2000 10:39:09 -0500

Sorry for the delay, still catching up on
this thread.

> From: John F. Leser [mailto:[email-masked]]
> Sent: Wednesday, October 18, 2000 11:11 AM
> To: Thomas Eklund
> Cc: Francis Dupont; [email-masked];
> [email-masked]

<snip>

> - Require that a home agent's router advertisements always contain all
> of the prefixes on the network that are valid for home or CO 
> addresses.

I like the idea and think it makes sense for stateless address
autoconfiguration, but how would it work with other address
configuration methods like DHCPv6? Does this put restrictions
on where DHCPv6 could be used? 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Powell, Ken" <[email-masked]>
Date: Tue, 31 Oct 2000 13:26:38 -0500

Following upon a comment I made yesterday about John Leser's
proposal...

> > - Require that a home agent's router advertisements always 
> > contain all of the prefixes on the network that are valid
> > for home or CO addresses.

<snip>

> Would it make sense to state configuration limitations as
> a fact; then, mandate that home agents MUST (SHOULD?) check
> for inconsistencies in received router advertisements and
> report any errors? 

I was thinking that in addition to the consistency
checks required by RFC 2461 section 6.2.7, the
following specific checks SHOULD be made on a home
agent when it receives a Router Advertisement on the
home subnet:

 1) If the M or O flag is set in the received Router
    Advertisement, verify the corresponding bit is
    set in the home agents own router advertisements.

 2) Verify all prefixes received in the Prefix
    Information option are included in the home agent's
    own AdvPrefixList.

 3) If the value of the L or A flag of a received
    prefix is set, verify the corresponding flag in
    the home agent's AdvPrefixList is also set.

The R flag in received Prefix Information option
should be ignored by the home agent.

Any inconsistencies SHOULD be logged to system or
network management.

Ken